=== src/pulseaudio/CMakeLists.txt ===
#######################################################################################################################
# Add the source files to SRCS_LIST
add_source_files(SRCS_LIST
	pa_device_list.cc
	pa_device_list.h
	pa_sink.cc
	pa_sink.h
	pa_source.cc
	pa_source.h
)
