## gqrx-sdr 2.2.0.25.5d6be8

=== debian/changelog ===
gqrx-sdr (2.2.0.25.5d6be8-1) unstable; urgency=low

  * New package (Closes: #662073)
  * Match GNU Radio live distribution 2013-0926

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 03 Oct 2013 19:22:58 -0400

gqrx-sdr (2.1~git29d6c18-1) unstable; urgency=low

  * New upstream git

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 01 May 2013 17:57:52 -0400

gqrx-sdr (2.0-1) unstable; urgency=low

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 28 May 2012 17:38:22 -0400

gqrx-sdr (1.9.0.abd2dc8-2) unstable; urgency=low

  * correct build dependencies using a clean chroot.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 15 May 2012 00:18:27 -0400

gqrx-sdr (1.9.0.abd2dc8-1) unstable; urgency=low

  * Package from new upstream pre-release (Closes: #662073)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 14 May 2012 22:32:40 -0500
