=== debian/control ===
Source: gqrx-sdr
Section: hamradio
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: debhelper (>= 9), gnuradio-dev, libqt4-dev, libgsl0-dev, pkg-config,
 libusb-1.0-0-dev, libfftw3-dev, libasound2-dev, libboost-all-dev (>=1.35),
 libpulse-dev, libudev-dev, gr-fcdproplus, gr-osmosdr, gr-iqbal, librtlsdr-dev,
 libmirisdr-dev, libosmosdr-dev, libhackrf-dev, libbladerf-dev, libuhd-dev
Standards-Version: 3.9.4
Homepage: http://gqrx.dk/
Vcs-Browser: https://github.com/csete/gqrx

Package: gqrx-sdr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Software defined radio receiver
 Gqrx supports many of the SDR hardware available, including Funcube
 Dongles, rtl-sdr, HackRF and USRP devices.
 .
 Includes AM, SSB, FM-N and FM-W (mono and stereo) demodulators, and
 Special FM mode for NOAA APT. Displays FFT plot and spectrum waterfall.
 .
 It is powered by GNU Radio and the Qt GUI toolkit.
