=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

#override_dh_auto_install:
#	dh_auto_install
#	cp debian/gqrx-sdr.desktop debian/gqrx-sdr/usr/share/applications/
#	cp icons/radio.svg debian/gqrx-sdr/usr/share/icons/hicolor/scalable/apps/gqrx.svg
#	cp gqrx debian/gqrx-sdr/usr/bin/
