## gqrx-sdr 2.2.0.74.d97bd7

=== debian/changelog ===
gqrx-sdr (2.2.0.74.d97bd7-2) unstable; urgency=low

  * Update Build-depends

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 01 Jan 2014 20:52:10 -0500

gqrx-sdr (2.2.0.74.d97bd7-1) unstable; urgency=low

  * New upstream commit, build with gnuradio 3.7.2.1
  * Tighten libvolk dependency version (Closes: #732043)
  * Built without portaudio.

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 01 Jan 2014 17:38:31 -0500
