## gqrx-sdr 2.2.0.137.eca0ea7

=== debian/changelog ===
gqrx-sdr (2.2.0.137.eca0ea7-1) unstable; urgency=low

  * Update to eca0ea7
  * Rebuild to use libgnuradio-osmosdr0.1.1 (Closes: #747943)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 13 May 2014 23:52:09 -0400

gqrx-sdr (2.2.0.74.d97bd7-2~bpo70~1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 03 Mar 2014 14:11:48 -0500
