=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: hamradio
 Priority: optional
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
-Build-Depends: debhelper (>= 9), gnuradio-dev, libqt4-dev, libgsl0-dev, pkg-config,
+Build-Depends: debhelper (>= 9), gnuradio-dev (>=3.7), libqt4-dev, libgsl0-dev, pkg-config,
  libfftw3-dev, libasound2-dev, libboost-all-dev,
  libudev-dev [linux-any], gr-osmosdr, liblog4cpp5-dev
 Standards-Version: 3.9.4
