## gqrx-sdr 2.3.1

=== debian/changelog ===
gqrx-sdr (2.3.1-2~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 21 Sep 2014 21:59:55 -0400

gqrx-sdr (2.3.1-2) unstable; urgency=low

  * Build with libpulse-dev (Closes: #755940)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 12 Sep 2014 22:33:32 -0400

gqrx-sdr (2.3.1-1) unstable; urgency=low

  * New upstream release (Closes: #760332)
  * Use libgnuradio-osmosdr0.1.3 (Closes: #749749)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 05 Sep 2014 00:22:52 -0400
