=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: hamradio
 Priority: optional
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
-Build-Depends: debhelper (>= 9), gnuradio-dev (>=3.7), libqt4-dev, libgsl0-dev, pkg-config,
- libfftw3-dev, libasound2-dev, libboost-all-dev,
- libudev-dev [linux-any], gr-osmosdr, liblog4cpp5-dev
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), gnuradio-dev (>=3.7.5), libqt4-dev, libgsl0-dev, pkg-config,
+ libfftw3-dev, libpulse-dev, libasound2-dev, libboost-all-dev,
+ libudev-dev [linux-any], gr-osmosdr (>=0.1.3), liblog4cpp5-dev
+Standards-Version: 3.9.5
 Homepage: http://gqrx.dk/
-Vcs-Browser: https://github.com/csete/gqrx
 
 Package: gqrx-sdr
 Architecture: any
