## gqrx-sdr 2.4

=== debian/changelog ===
gqrx-sdr (2.4-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 12 Dec 2015 17:09:48 -0500

gqrx-sdr (2.3.2.193-2) unstable; urgency=medium

  * Lintian fixes - reflect upstream layout changes in copyright file

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 02 Dec 2015 00:43:02 -0500

gqrx-sdr (2.3.2.193-1) unstable; urgency=medium

  * New upstream - update to v2.3.2-193-gbbed2c9
    cmake build

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 01 Dec 2015 18:46:54 -0500

gqrx-sdr (2.3.2.121-1) unstable; urgency=medium

  * New upstream - update to v2.3.2-121-g3a51618 (Closes: #773008)
  * add watch file
  * update URL in man page (Closes: #794917)
  * update dependencies (Closes:  #795483, #765413, #763832)
  * install desktop file (Closes: #776092)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 15 Sep 2015 20:04:21 -0400

gqrx-sdr (2.3.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update dependency for libvolk to new package name:
   - libvolk0.0.0 -> libvolk1.1

 -- Iain R. Learmonth <irl@debian.org>  Thu, 03 Sep 2015 23:13:35 +0100
