## gqrx-sdr 2.5.1

=== debian/changelog ===
gqrx-sdr (2.5.1-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 14 Jan 2016 22:39:30 -0500
