=== debian/control ===
Source: gqrx-sdr
Section: hamradio
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake (>=2.8),
               debhelper (>= 9),
               gnuradio-dev (>=3.7),
               gr-osmosdr,
               libasound2-dev,
               libboost-dev,
               libboost-program-options-dev,
               libboost-system-dev,
               libfftw3-dev,
               libgsl0-dev,
               liblog4cpp5-dev,
               libpulse-dev,
               libqt5svg5-dev,
               libudev-dev [linux-any],
               pkg-config,
               qt5-qmake,
               qtbase5-dev,
               qtbase5-dev-tools,
               qtchooser
Standards-Version: 3.9.6
Homepage: http://gqrx.dk/
Vcs-Git: git://anonscm.debian.org/users/bottoms/pkg-gqrx-sdr.git
Vcs-Browser: http://anonscm.debian.org/cgit/users/bottoms/pkg-gqrx-sdr.git/

Package: gqrx-sdr
Architecture: any
Depends: pulseaudio, ${misc:Depends}, ${shlibs:Depends}
Description: Software defined radio receiver
 Gqrx supports many of the SDR hardware available, including Funcube
 Dongles, rtl-sdr, HackRF and USRP devices.
 .
 Includes AM, SSB, FM-N and FM-W (mono and stereo) demodulators, and
 Special FM mode for NOAA APT. Displays FFT plot and spectrum waterfall.
 .
 It is powered by GNU Radio and the Qt GUI toolkit.
