## gqrx-sdr 2.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,20 +5,21 @@
 project(gqrx)
 set(${PROJECT_NAME}_MAJOR "2")
 set(${PROJECT_NAME}_MINOR "5")
-#set(${PROJECT_NAME}_PATCH "0")
-#set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}.${${PROJECT_NAME}_PATCH}")
-set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}")
-set(PACKAGE ${PROJECT_NAME})
+set(${PROJECT_NAME}_PATCH "3")
+set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}.${${PROJECT_NAME}_PATCH}")
+##set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}")
 add_definitions(-DVERSION="${VERSION}")
 
 # development version
-#execute_process(
-#    COMMAND git describe --long --dirty
-#    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
-#    OUTPUT_VARIABLE GITVERSION
-#    OUTPUT_STRIP_TRAILING_WHITESPACE
-#)
+execute_process(
+    COMMAND git describe --long --dirty
+    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
+    OUTPUT_VARIABLE GITVERSION
+    OUTPUT_STRIP_TRAILING_WHITESPACE
+)
 #add_definitions(-DVERSION="${GITVERSION}")
+
+set(PACKAGE ${PROJECT_NAME})
 
 ########### Main global variables ###########
 if(NOT CMAKE_BUILD_TYPE)
@@ -53,6 +54,24 @@
     add_definitions(-Wextra)
     add_definitions(-Wno-unused-parameter)
     add_definitions(-Wsign-compare)
+endif()
+
+if(MSVC)
+    #get math definitions like M_PI
+    add_definitions(-D_USE_MATH_DEFINES)
+
+    #use std::min()/std::max()
+    add_definitions(-DNOMINMAX)
+
+    #needed to dynamically link boost
+    add_definitions(-DBOOST_ALL_DYN_LINK)
+
+    #export gr-rds symbols
+    add_definitions(-Dgnuradio_RDS_EXPORTS)
+
+    if ("${MSVC_VERSION}" VERSION_LESS "1900")
+        add_definitions(-D__func__=__FUNCTION__)
+    endif()
 endif()
 
 #######################################################################################################################
