=== debian/changelog ===
gqrx-sdr (2.5.3-4) unstable; urgency=medium

  * install icon usr/share/icons/hicolor/scalable/apps/gqrx.svg
  * Add SoapySDR support

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 28 Aug 2016 14:20:14 -0400

gqrx-sdr (2.5.3-3) unstable; urgency=medium

  * update to v2.5.3-90-g3556cbf
  * buuld with current boost (Closes: #822133, #823152)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 28 Aug 2016 11:19:46 -0400

gqrx-sdr (2.5.3-2) unstable; urgency=medium

  * update to v2.5.3-51-gbf2f5f8

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 11 Jul 2016 22:45:37 -0400

gqrx-sdr (2.5.3-1) unstable; urgency=medium

  * New upstream release
  * update to v2.5.3-25-gba612ea

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 29 Apr 2016 21:58:38 -0400
