=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake (>=2.8),
                debhelper (>= 9),
-               gnuradio-dev (>=3.7),
-               gr-osmosdr,
+               gnuradio-dev (>>3.7.9),
+               gr-osmosdr (>>0.1.3),
                libasound2-dev,
                libboost-dev,
                libboost-program-options-dev,
@@ -15,16 +15,17 @@
                liblog4cpp5-dev,
                libpulse-dev,
                libqt5svg5-dev,
+	       libsoapysdr-dev,
                libudev-dev [linux-any],
                pkg-config,
                qt5-qmake,
                qtbase5-dev,
                qtbase5-dev-tools,
                qtchooser
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://gqrx.dk/
-Vcs-Git: git://anonscm.debian.org/users/bottoms/pkg-gqrx-sdr.git
-Vcs-Browser: http://anonscm.debian.org/cgit/users/bottoms/pkg-gqrx-sdr.git/
+Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gqrx-sdr.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gqrx-sdr.git/
 
 Package: gqrx-sdr
 Architecture: any
