## gqrx-sdr 2.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,22 +1,21 @@
 cmake_minimum_required(VERSION 2.8.0)
 
-#######################################################################################################################
 # Project name
 project(gqrx)
 set(${PROJECT_NAME}_MAJOR "2")
-set(${PROJECT_NAME}_MINOR "5")
-set(${PROJECT_NAME}_PATCH "3")
-set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}.${${PROJECT_NAME}_PATCH}")
-##set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}")
+set(${PROJECT_NAME}_MINOR "6")
+set(${PROJECT_NAME}_PATCH "0")
+##set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}.${${PROJECT_NAME}_PATCH}")
+set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}")
 add_definitions(-DVERSION="${VERSION}")
 
 # development version
-execute_process(
-    COMMAND git describe --long --dirty
-    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
-    OUTPUT_VARIABLE GITVERSION
-    OUTPUT_STRIP_TRAILING_WHITESPACE
-)
+#execute_process(
+#    COMMAND git describe --long --dirty
+#    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
+#    OUTPUT_VARIABLE GITVERSION
+#    OUTPUT_STRIP_TRAILING_WHITESPACE
+#)
 #add_definitions(-DVERSION="${GITVERSION}")
 
 set(PACKAGE ${PROJECT_NAME})
@@ -74,7 +73,6 @@
     endif()
 endif()
 
-#######################################################################################################################
 # Functions & macros.  These must be defined before including subdirectories.
 
 # function to collect all the sources from sub-directories
@@ -99,7 +97,6 @@
 endfunction(add_source_files)
 
 
-#######################################################################################################################
 # 3rd Party Dependency Stuff
 find_package(Qt5 COMPONENTS Core Network Widgets REQUIRED)
 find_package(Boost COMPONENTS system program_options REQUIRED)
@@ -121,6 +118,18 @@
         # there is a defect in the pulse audio cmake file that does not include this library. So we add it here.
         find_library(PULSE-SIMPLE NAMES pulse-simple REQUIRED)
         add_definitions(-DWITH_PULSEAUDIO)
+        unset(PORTAUDIO_INCLUDE_DIRS CACHE)
+        unset(PORTAUDIO_LIBRARIES CACHE)
+    elseif(${LINUX_AUDIO_BACKEND} MATCHES "Portaudio")
+        find_package(Portaudio REQUIRED)
+        add_definitions(-DWITH_PORTAUDIO)
+        unset(PULSEAUDIO_FOUND CACHE)
+        unset(PULSEAUDIO_INCLUDE_DIR CACHE)
+        unset(PULSEAUDIO_LIBRARY CACHE)
+        unset(PulseAudio_DIR CACHE)
+        unset(PULSE-SIMPLE CACHE)
+        unset(PULSEAUDIO_INCLUDE_DIR CACHE)
+        unset(PULSEAUDIO_MAINLOOP_LIBRARY CACHE)
     elseif(${LINUX_AUDIO_BACKEND} MATCHES "Gr-audio")
         unset(PULSEAUDIO_FOUND CACHE)
         unset(PULSEAUDIO_INCLUDE_DIR CACHE)
@@ -129,17 +138,26 @@
         unset(PULSE-SIMPLE CACHE)
         unset(PULSEAUDIO_INCLUDE_DIR CACHE)
         unset(PULSEAUDIO_MAINLOOP_LIBRARY CACHE)
+        unset(PORTAUDIO_INCLUDE_DIRS CACHE)
+        unset(PORTAUDIO_LIBRARIES CACHE)
     else()
-        message(FATAL_ERROR "Invalid audio backend: should be either Pulseaudio or Gr-audio")
+        message(FATAL_ERROR "Invalid audio backend: should be either Pulseaudio, Portaudio or Gr-audio")
     endif()
 endif()
+
+
+# Airspy optimizations that require modified gr-osmosdr
+option(CUSTOM_AIRSPY_KERNELS "Enable non-standard Airspy optimizations" OFF)
+if(CUSTOM_AIRSPY_KERNELS)
+    add_definitions(-DCUSTOM_AIRSPY_KERNELS)
+endif(CUSTOM_AIRSPY_KERNELS)
+
 
 # Tell CMake to run moc when necessary:
 set(CMAKE_AUTOMOC ON)
 # As moc files are generated in the binary dir, tell CMake to always look for includes there:
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-#######################################################################################################################
 # Finish configuring compiler / linker settings & flags
 include_directories(
     ${CMAKE_SOURCE_DIR}/include
@@ -153,15 +171,8 @@
 )
 
 
-
-#######################################################################################################################
 # Add subdirectories
 add_subdirectory(src)
-
-#######################################################################################################################
-# enable testing - must be in the top level CMakeLists.txt file
-# enable_testing()
-
 
 # uninstall target
 # https://cmake.org/Wiki/CMake_FAQ#Can_I_do_.22make_uninstall.22_with_CMake.3F
