=== src/CMakeLists.txt ===
--- 
+++ 
@@ -10,8 +10,12 @@
     add_subdirectory(osxaudio)
     add_definitions(-DGQRX_OS_MACX)
     set(CMAKE_OSX_DEPLOYMENT_TARGET 10.9)
-elseif((${CMAKE_SYSTEM_NAME} MATCHES "Linux") AND (${LINUX_AUDIO_BACKEND} MATCHES "Pulseaudio"))
-    add_subdirectory(pulseaudio)
+elseif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
+    if(${LINUX_AUDIO_BACKEND} MATCHES "Pulseaudio")
+        add_subdirectory(pulseaudio)
+    elseif(${LINUX_AUDIO_BACKEND} MATCHES "Portaudio")
+        add_subdirectory(portaudio)
+    endif()
 elseif(${CMAKE_SYSTEM_NAME} MATCHES "Windows")
 endif()
 
@@ -34,6 +38,19 @@
     ../resources/textfiles.qrc
 )
 
+########################################################################
+# Resource file - adds an icon to GQRX executable
+if (WIN32)
+    set(ICON_SOURCE ${CMAKE_SOURCE_DIR}/resources/icons/gqrx.ico)
+    set(RES_FILES "${CMAKE_CURRENT_BINARY_DIR}/gqrx.rc")
+    file(WRITE "${RES_FILES}" "id ICON \"${ICON_SOURCE}\"")
+    set(CMAKE_RC_COMPILER_INIT windres)
+    enable_language(RC)
+    set(CMAKE_RC_COMPILE_OBJECT
+        "<CMAKE_RC_COMPILER> <FLAGS> -O coff <DEFINES> -i <SOURCE> -o <OBJECT>")
+    list(APPEND RESOURCES_LIST ${RES_FILES})
+endif(WIN32)
+
 #######################################################################################################################
 # Build the program
 add_executable(${PROJECT_NAME} ${${PROJECT_NAME}_SOURCE} ${UIS_HDRS} ${RESOURCES_LIST})
@@ -46,7 +63,14 @@
     ${GNURADIO_OSMOSDR_LIBRARIES}
     ${PULSEAUDIO_LIBRARY}
     ${PULSE-SIMPLE}
+    ${PORTAUDIO_LIBRARIES}
 )
+
+#build a win32 app, not a console app
+if (WIN32)
+    set(CMAKE_EXE_LINKER_FLAGS "/entry:mainCRTStartup ${CMAKE_EXE_LINKER_FLAGS}")
+    set_target_properties(${PROJECT_NAME} PROPERTIES WIN32_EXECUTABLE ON)
+endif (WIN32)
 
 set(INSTALL_DEFAULT_BINDIR "bin" CACHE STRING "Appended to CMAKE_INSTALL_PREFIX")
 install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})
