=== debian/changelog ===
gqrx-sdr (2.6-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 19 Oct 2016 20:18:26 -0400

gqrx-sdr (2.6-1) unstable; urgency=medium

  * New upstream release
  * update to v2.6-7-g82dafcc
    NEW: Save remote control state between sessions.
    FIXED: Keep waterfall zoom level and zoom slider synchronised.
  

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 14 Oct 2016 21:09:33 -0400

gqrx-sdr (2.5.3-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 04 Sep 2016 10:30:03 -0400
