=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake (>=2.8),
                debhelper (>= 9),
-               gnuradio-dev (>>3.7.9),
-               gr-osmosdr (>>0.1.3),
+               gnuradio-dev (>>3.7.10),
+               gr-osmosdr (>>0.1.4-11~),
                libasound2-dev,
                libboost-dev,
                libboost-program-options-dev,
@@ -15,7 +15,6 @@
                liblog4cpp5-dev,
                libpulse-dev,
                libqt5svg5-dev,
-	       libsoapysdr-dev,
                libudev-dev [linux-any],
                pkg-config,
                qt5-qmake,
