## gqrx-sdr 2.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,20 +3,20 @@
 # Project name
 project(gqrx)
 set(${PROJECT_NAME}_MAJOR "2")
-set(${PROJECT_NAME}_MINOR "6")
+set(${PROJECT_NAME}_MINOR "8")
 set(${PROJECT_NAME}_PATCH "0")
 ##set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}.${${PROJECT_NAME}_PATCH}")
 set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}")
 add_definitions(-DVERSION="${VERSION}")
 
 # development version
-#execute_process(
-#    COMMAND git describe --long --dirty
-#    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
-#    OUTPUT_VARIABLE GITVERSION
-#    OUTPUT_STRIP_TRAILING_WHITESPACE
-#)
-#add_definitions(-DVERSION="${GITVERSION}")
+execute_process(
+    COMMAND git describe --long --dirty
+    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
+    OUTPUT_VARIABLE GITVERSION
+    OUTPUT_STRIP_TRAILING_WHITESPACE
+)
+##add_definitions(-DVERSION="${GITVERSION}")
 
 set(PACKAGE ${PROJECT_NAME})
 
@@ -98,14 +98,14 @@
 
 
 # 3rd Party Dependency Stuff
-find_package(Qt5 COMPONENTS Core Network Widgets REQUIRED)
+find_package(Qt5 COMPONENTS Core Network Widgets Svg REQUIRED)
 find_package(Boost COMPONENTS system program_options REQUIRED)
 set(GR_REQUIRED_COMPONENTS RUNTIME ANALOG AUDIO BLOCKS DIGITAL FILTER FFT PMT)
 find_package(Gnuradio REQUIRED)
 find_package(Gnuradio-osmosdr REQUIRED)
 
 if(NOT GNURADIO_RUNTIME_FOUND)
-    message(FATAL_ERROR "GnuRadio Runtime required to compile gr-air-modes")
+    message(FATAL_ERROR "GnuRadio Runtime required to compile gqrx")
 endif()
 
 if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
@@ -147,7 +147,7 @@
 
 
 # Airspy optimizations that require modified gr-osmosdr
-option(CUSTOM_AIRSPY_KERNELS "Enable non-standard Airspy optimizations" OFF)
+option(CUSTOM_AIRSPY_KERNELS "Enable non-standard Airspy optimizations" ON)
 if(CUSTOM_AIRSPY_KERNELS)
     add_definitions(-DCUSTOM_AIRSPY_KERNELS)
 endif(CUSTOM_AIRSPY_KERNELS)
@@ -163,6 +163,7 @@
     ${CMAKE_SOURCE_DIR}/include
     ${Boost_INCLUDE_DIRS}
     ${GNURADIO_RUNTIME_INCLUDE_DIRS}
+    ${GNURADIO_OSMOSDR_INCLUDE_DIRS}
 )
 
 link_directories(
