=== debian/changelog ===
gqrx-sdr (2.8-1) unstable; urgency=medium

  * New upstream release
   New features
     Remote control command to set LNB LO (LNB_LO).
   Bugs fixed
     Inactive Start DSP and Config buttons in toolbar.
     Frequency controller digit not redrawn after a resize.
     Set default mode to AM instead of none.
   Miscellaneous improvements
     Detection of gr-osmosdr when installed in custom directory.
     Remote frequency handling.

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 22 Sep 2017 20:22:01 -0400

gqrx-sdr (2.7-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 11 Sep 2017 10:10:14 -0400
