=== src/portaudio/CMakeLists.txt ===
# Add the source files to SRCS_LIST
add_source_files(SRCS_LIST
    device_list.cpp
    device_list.h
    portaudio_sink.cpp
    portaudio_sink.h
)
