=== src/receivers/CMakeLists.txt ===
#######################################################################################################################
# Add the source files to SRCS_LIST
add_source_files(SRCS_LIST
	nbrx.cpp
	nbrx.h
	receiver_base.cpp
	receiver_base.h
	wfmrx.cpp
	wfmrx.h
)
