=== debian/changelog ===
gqrx-sdr (2.9-2) unstable; urgency=medium

  * upstream Debian patches, update to v2.9-4-g4138038

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 10 Dec 2017 16:53:16 -0500

gqrx-sdr (2.9-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 15 Nov 2017 23:06:55 -0500
