=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake (>=2.8),
-               debhelper (>= 9),
-               gnuradio-dev (>>3.7.10),
-               gr-osmosdr (>>0.1.4-11~),
+               debhelper (>= 10),
+               gnuradio-dev (>=3.7.11),
+	       gr-iio,
+               gr-osmosdr (>=0.1.4-13),
                libasound2-dev,
                libboost-dev,
                libboost-program-options-dev,
@@ -15,13 +16,14 @@
                liblog4cpp5-dev,
                libpulse-dev,
                libqt5svg5-dev,
+	       libsoapysdr-dev,
                libudev-dev [linux-any],
                pkg-config,
                qt5-qmake,
                qtbase5-dev,
                qtbase5-dev-tools,
                qtchooser
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Homepage: http://gqrx.dk/
 Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gqrx-sdr.git
 Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gqrx-sdr.git/
@@ -29,6 +31,8 @@
 Package: gqrx-sdr
 Architecture: any
 Depends: pulseaudio, ${misc:Depends}, ${shlibs:Depends}
+Conflicts: gqrx (<= 2.3.0-0kali4)
+Replaces: gqrx (<= 2.3.0-0kali4)
 Description: Software defined radio receiver
  Gqrx supports many of the SDR hardware available, including Funcube
  Dongles, rtl-sdr, HackRF and USRP devices.
