=== debian/rules ===
#!/usr/bin/make -f
QT_SELECT=qt5
export QT_SELECT

%:
	dh $@
