=== debian/changelog ===
gqrx-sdr (2.11.4-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 13 May 2018 19:58:58 -0400
