=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,11 @@
 add_subdirectory(receivers)
 
 if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
-    add_subdirectory(osxaudio)
+    if(${OSX_AUDIO_BACKEND} MATCHES "Portaudio")
+        add_subdirectory(portaudio)
+    else()
+        add_subdirectory(osxaudio)
+    endif()
     add_definitions(-DGQRX_OS_MACX)
     set(CMAKE_OSX_DEPLOYMENT_TARGET 10.9)
 elseif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
