=== debian/changelog ===
gqrx-sdr (2.11.5-1) unstable; urgency=medium

  * New upstream bugfix release
    fixes a crash in the handling of the ‘q’ command in the
    remote control interface

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 21 May 2018 00:13:40 -0400
