=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake (>=2.8),
                debhelper (>= 10),
-               gnuradio-dev (>=3.7.11),
+               gnuradio-dev (>=3.7.12.0),
 	       gr-iio,
                gr-osmosdr (>=0.1.4-13),
                libasound2-dev,
@@ -23,10 +23,10 @@
                qtbase5-dev,
                qtbase5-dev-tools,
                qtchooser
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 Homepage: http://gqrx.dk/
-Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gqrx-sdr.git
-Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gqrx-sdr.git/
+Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gqrx-sdr
+Vcs-Git: https://salsa.debian.org/bottoms/pkg-gqrx-sdr.git
 
 Package: gqrx-sdr
 Architecture: any
